Bug 16253 - Acq: Change "Delete order" to "Cancel order line" on basket summary and receive page
Summary: Acq: Change "Delete order" to "Cancel order line" on basket summary and recei...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-13 12:51 UTC by Katrin Fischer
Modified: 2016-12-05 21:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16253: Changing 'delete order' to 'cancel order' (6.44 KB, patch)
2016-04-26 01:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16253: Changing 'delete order' to 'cancel order' (6.49 KB, patch)
2016-04-27 21:18 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 16253: Changing 'delete order' to 'cancel order' (6.56 KB, patch)
2016-04-27 23:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-04-13 12:51:04 UTC
In acquisitions there are "delete order" links next to the order lines that are actually "cancelling" the order. As this switches the status of the order line to "cancelled" and the order line is kept in the database - it should be named accordingly.

The same links are also visible on receiving order lines.

There is also a confusing with the "delete this order" button on top of the summary page. This actually will delete the basket and the order lines from the database, so differentiating between both features would avoid confusion.

If the column headings are changed, it would be nice to avoid a single "cancel" but use "cancel order line" instead, as the verb without context is a translation issue at least for the German translations where cancel can have different meanings.
Comment 1 Aleisha Amohia 2016-04-26 01:21:35 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2016-04-27 21:18:26 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-27 23:03:02 UTC
Created attachment 50854 [details] [review]
[PASSED QA] Bug 16253: Changing 'delete order' to 'cancel order'

To test:
1) Go to Acqui -> do a vendor search and view an open basket
2) Confirm last column heading says cancel instead of delete
3) Confirm link to cancel order says cancel instead of delete
4) If can't delete record, confirm reasons say cancel order instead of delete
5) Click the vendor name, then Baskets tab, then Receive Shipment
6) Fill vendor invoice field and click next
7) If there are any pending orders, confirm that all instances of 'delete order' now say cancel

Sponsored-by: Catalyst IT
Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-04-29 14:35:28 UTC
Pushed to master for the 16.05 release. Thanks Aleisha!
Comment 5 Julian Maurice 2016-05-16 12:06:30 UTC
Patch pushed to 3.22.x, will be in 3.22.7